List of Industries for Bing Ads Audience Estimation

Pricing

Your account will not be charged for using this API

checked GET

By calling this API you will receive the list of industries with industry_id supported by Bing Ads Audience Estimation endpoint.

‌‌As a response of the API server, you will receive a list of available industries.

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the parameters passed in the URL of the GET request

    resultarray

array of results

        industry_idinteger

ID of the industry

        industry_namestring

name of the industry

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/industries" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
	// using this method you can get a list of industries
	// GET /v3/keywords_data/bing/audience_estimation/industries
	$result = $client->get('/v3/keywords_data/bing/audience_estimation/industries');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/industries',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of industries
# GET /v3/keywords_data/bing/audience_estimation/industries
# the full list of possible parameters is available in documentation
response = client.get("/v3/keywords_data/bing/audience_estimation/industries")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task keywords_data_bing_audience_estimation_industries()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of industries
            // GET /v3/keywords_data/bing/audience_estimation/industries
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/keywords_data/bing/audience_estimation/industries");
            var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20240801",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0677 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "09271638-1535-0602-0000-3ba4f6be045d",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0001 sec.",
      "cost": 0,
      "result_count": 147,
      "path": [
        "v3",
        "keywords_data",
        "bing",
        "audience_estimation",
        "industries"
      ],
      "data": {
        "api": "keywords_data",
        "function": "industries",
        "se": "bing",
        "se_type": "audience_estimation"
      },
      "result": [
        {
          "industry_id": 806303504,
          "industry_name": "Aviation & Aerospace"
        },
        {
          "industry_id": 806303019,
          "industry_name": "Accounting"
        },
        {
          "industry_id": 806300795,
          "industry_name": "Consumer Electronics"
        },
        {
          "industry_id": 806303989,
          "industry_name": "Oil & Energy"
        },
        {
          "industry_id": 806299913,
          "industry_name": "Pharmaceuticals"
        },
        {
          "industry_id": 806300207,
          "industry_name": "Cosmetics"
        },
        {
          "industry_id": 806304862,
          "industry_name": "Fishery"
        },
        {
          "industry_id": 806311943,
          "industry_name": "Mental Health Care"
        },
        {
          "industry_id": 806303310,
          "industry_name": "Architecture & Planning"
        },
        {
          "industry_id": 806306802,
          "industry_name": "Environmental Services"
        },
        {
          "industry_id": 806300599,
          "industry_name": "Supermarkets"
        },
        {
          "industry_id": 806301467,
          "industry_name": "Hospitality"
        },
        {
          "industry_id": 806299717,
          "industry_name": "Medical Practice"
        },
        {
          "industry_id": 806310294,
          "industry_name": "Facilities Services"
        },
        {
          "industry_id": 806310391,
          "industry_name": "Outsourcing/Offshoring"
        },
        {
          "industry_id": 806299325,
          "industry_name": "Law Practice"
        },
        {
          "industry_id": 806309518,
          "industry_name": "Nanotechnology"
        },
        {
          "industry_id": 806304474,
          "industry_name": "Railroad Manufacture"
        },
        {
          "industry_id": 806312040,
          "industry_name": "Graphic Design"
        },
        {
          "industry_id": 806310197,
          "industry_name": "Security & Investigations"
        },
        {
          "industry_id": 806304377,
          "industry_name": "Paper & Forest Products"
        },
        {
          "industry_id": 806310973,
          "industry_name": "Capital Markets"
        },
        {
          "industry_id": 806311361,
          "industry_name": "Wholesale"
        },
        {
          "industry_id": 806302825,
          "industry_name": "Investment Banking"
        },
        {
          "industry_id": 806303892,
          "industry_name": "Mining & Metals"
        },
        {
          "industry_id": 806301564,
          "industry_name": "Restaurants"
        },
        {
          "industry_id": 806305056,
          "industry_name": "Higher Education"
        },
        {
          "industry_id": 806299129,
          "industry_name": "Semiconductors"
        },
        {
          "industry_id": 806306026,
          "industry_name": "Public Safety"
        },
        {
          "industry_id": 806302340,
          "industry_name": "Recreational Facilities & Services"
        },
        {
          "industry_id": 806308354,
          "industry_name": "Program Development"
        },
        {
          "industry_id": 806306899,
          "industry_name": "Package/Freight Delivery"
        },
        {
          "industry_id": 806303601,
          "industry_name": "Automotive"
        },
        {
          "industry_id": 806311652,
          "industry_name": "Photography"
        },
        {
          "industry_id": 806298835,
          "industry_name": "Computer Software"
        },
        {
          "industry_id": 806312525,
          "industry_name": "Glass, Ceramics & Concrete"
        },
        {
          "industry_id": 806300980,
          "industry_name": "Furniture"
        },
        {
          "industry_id": 806310876,
          "industry_name": "Commercial Real Estate"
        },
        {
          "industry_id": 806305347,
          "industry_name": "Military"
        },
        {
          "industry_id": 806304280,
          "industry_name": "Textiles"
        },
        {
          "industry_id": 806307772,
          "industry_name": "Information Technology & Services"
        },
        {
          "industry_id": 806305444,
          "industry_name": "Legislative Office"
        },
        {
          "industry_id": 806312137,
          "industry_name": "International Trade & Development"
        },
        {
          "industry_id": 806312816,
          "industry_name": "Government Relations"
        },
        {
          "industry_id": 806304183,
          "industry_name": "Utilities"
        },
        {
          "industry_id": 806311846,
          "industry_name": "Business Supplies & Equipment"
        },
        {
          "industry_id": 806305735,
          "industry_name": "Government Administration"
        },
        {
          "industry_id": 806305832,
          "industry_name": "Executive Office"
        },
        {
          "industry_id": 806298737,
          "industry_name": "Computer Hardware"
        },
        {
          "industry_id": 806309421,
          "industry_name": "Online Media"
        },
        {
          "industry_id": 806302922,
          "industry_name": "Investment Management"
        },
        {
          "industry_id": 806312331,
          "industry_name": "Luxury Goods & Jewelry"
        },
        {
          "industry_id": 806305250,
          "industry_name": "Research"
        },
        {
          "industry_id": 806304571,
          "industry_name": "Farming"
        },
        {
          "industry_id": 806299521,
          "industry_name": "Management Consulting"
        },
        {
          "industry_id": 806306414,
          "industry_name": "Publishing"
        },
        {
          "industry_id": 806308839,
          "industry_name": "Political Organization"
        },
        {
          "industry_id": 806307966,
          "industry_name": "Public Relations & Communications"
        },
        {
          "industry_id": 806308548,
          "industry_name": "Staffing & Recruiting"
        },
        {
          "industry_id": 806306608,
          "industry_name": "Information Services"
        },
        {
          "industry_id": 806311264,
          "industry_name": "E-learning"
        },
        {
          "industry_id": 806307190,
          "industry_name": "Civic & Social Organization"
        },
        {
          "industry_id": 806302243,
          "industry_name": "Performing Arts"
        },
        {
          "industry_id": 806309712,
          "industry_name": "Logistics & Supply Chain"
        },
        {
          "industry_id": 806305153,
          "industry_name": "Education Management"
        },
        {
          "industry_id": 806307869,
          "industry_name": "Market Research"
        },
        {
          "industry_id": 806299815,
          "industry_name": "Hospital & Health Care"
        },
        {
          "industry_id": 806309227,
          "industry_name": "Arts & Crafts"
        },
        {
          "industry_id": 806298933,
          "industry_name": "Computer Networking"
        },
        {
          "industry_id": 806309130,
          "industry_name": "Events Services"
        },
        {
          "industry_id": 806303116,
          "industry_name": "Construction"
        },
        {
          "industry_id": 806301952,
          "industry_name": "Broadcast Media"
        },
        {
          "industry_id": 806309615,
          "industry_name": "Music"
        },
        {
          "industry_id": 806311167,
          "industry_name": "Philanthropy"
        },
        {
          "industry_id": 806298611,
          "industry_name": "Consumer Goods"
        },
        {
          "industry_id": 806302728,
          "industry_name": "Real Estate"
        },
        {
          "industry_id": 806302631,
          "industry_name": "Financial Services"
        },
        {
          "industry_id": 806304086,
          "industry_name": "Shipbuilding"
        },
        {
          "industry_id": 806306317,
          "industry_name": "Newspapers"
        },
        {
          "industry_id": 806304668,
          "industry_name": "Ranching"
        },
        {
          "industry_id": 806309324,
          "industry_name": "Electrical & Electronic Manufacturing"
        },
        {
          "industry_id": 806309809,
          "industry_name": "Plastics"
        },
        {
          "industry_id": 806300109,
          "industry_name": "Medical Device"
        },
        {
          "industry_id": 806308063,
          "industry_name": "Design"
        },
        {
          "industry_id": 806298639,
          "industry_name": "Defense & Space"
        },
        {
          "industry_id": 806306705,
          "industry_name": "Libraries"
        },
        {
          "industry_id": 806303698,
          "industry_name": "Chemicals"
        },
        {
          "industry_id": 806308936,
          "industry_name": "Translation & Localization"
        },
        {
          "industry_id": 806306996,
          "industry_name": "Individual & Family Services"
        },
        {
          "industry_id": 806310682,
          "industry_name": "Media Production"
        },
        {
          "industry_id": 806312719,
          "industry_name": "Industrial Automation"
        },
        {
          "industry_id": 806308742,
          "industry_name": "Venture Capital & Private Equity"
        },
        {
          "industry_id": 806304959,
          "industry_name": "Primary/Secondary Education"
        },
        {
          "industry_id": 806306123,
          "industry_name": "Public Policy"
        },
        {
          "industry_id": 806310585,
          "industry_name": "Alternative Medicine"
        },
        {
          "industry_id": 806311070,
          "industry_name": "Think Tanks"
        },
        {
          "industry_id": 806311749,
          "industry_name": "Human Resources"
        },
        {
          "industry_id": 806307578,
          "industry_name": "Airlines/Aviation"
        },
        {
          "industry_id": 806305541,
          "industry_name": "Judiciary"
        },
        {
          "industry_id": 806309906,
          "industry_name": "Computer & Network Security"
        },
        {
          "industry_id": 806303213,
          "industry_name": "Building Materials"
        },
        {
          "industry_id": 806301370,
          "industry_name": "Leisure, Travel & Tourism"
        },
        {
          "industry_id": 806302049,
          "industry_name": "Museums & Institutions"
        },
        {
          "industry_id": 806302146,
          "industry_name": "Fine Art"
        },
        {
          "industry_id": 806307481,
          "industry_name": "Warehousing"
        },
        {
          "industry_id": 806299423,
          "industry_name": "Legal Services"
        },
        {
          "industry_id": 806308160,
          "industry_name": "Non-profit Organization Management"
        },
        {
          "industry_id": 806311555,
          "industry_name": "Mechanical Or Industrial Engineering"
        },
        {
          "industry_id": 806306511,
          "industry_name": "Printing"
        },
        {
          "industry_id": 806301661,
          "industry_name": "Sports"
        },
        {
          "industry_id": 806310779,
          "industry_name": "Animation"
        },
        {
          "industry_id": 806312428,
          "industry_name": "Renewables & Environment"
        },
        {
          "industry_id": 806304765,
          "industry_name": "Dairy"
        },
        {
          "industry_id": 806308257,
          "industry_name": "Fundraising"
        },
        {
          "industry_id": 806307093,
          "industry_name": "Religious Institutions"
        },
        {
          "industry_id": 806299031,
          "industry_name": "Internet"
        },
        {
          "industry_id": 806300697,
          "industry_name": "Food Production"
        },
        {
          "industry_id": 806299619,
          "industry_name": "Biotechnology"
        },
        {
          "industry_id": 806307287,
          "industry_name": "Consumer Services"
        },
        {
          "industry_id": 806302437,
          "industry_name": "Banking"
        },
        {
          "industry_id": 806309033,
          "industry_name": "Computer Games"
        },
        {
          "industry_id": 806307675,
          "industry_name": "Maritime"
        },
        {
          "industry_id": 806308451,
          "industry_name": "Writing & Editing"
        },
        {
          "industry_id": 806302534,
          "industry_name": "Insurance"
        },
        {
          "industry_id": 806308645,
          "industry_name": "Professional Training & Coaching"
        },
        {
          "industry_id": 806310488,
          "industry_name": "Health, Wellness & Fitness"
        },
        {
          "industry_id": 806301758,
          "industry_name": "Food & Beverages"
        },
        {
          "industry_id": 806301176,
          "industry_name": "Entertainment"
        },
        {
          "industry_id": 806310003,
          "industry_name": "Wireless"
        },
        {
          "industry_id": 806305638,
          "industry_name": "International Affairs"
        },
        {
          "industry_id": 806301273,
          "industry_name": "Gambling & Casinos"
        },
        {
          "industry_id": 806305929,
          "industry_name": "Law Enforcement"
        },
        {
          "industry_id": 806303795,
          "industry_name": "Machinery"
        },
        {
          "industry_id": 806306220,
          "industry_name": "Marketing & Advertising"
        },
        {
          "industry_id": 806312622,
          "industry_name": "Packaging & Containers"
        },
        {
          "industry_id": 806312234,
          "industry_name": "Wine & Spirits"
        },
        {
          "industry_id": 806300305,
          "industry_name": "Apparel & Fashion"
        },
        {
          "industry_id": 806311458,
          "industry_name": "Import & Export"
        },
        {
          "industry_id": 806301078,
          "industry_name": "Retail"
        },
        {
          "industry_id": 806299227,
          "industry_name": "Telecommunications"
        },
        {
          "industry_id": 806303407,
          "industry_name": "Civil Engineering"
        },
        {
          "industry_id": 806300403,
          "industry_name": "Sporting Goods"
        },
        {
          "industry_id": 806300501,
          "industry_name": "Tobacco"
        },
        {
          "industry_id": 806310100,
          "industry_name": "Alternative Dispute Resolution"
        },
        {
          "industry_id": 806300011,
          "industry_name": "Veterinary"
        },
        {
          "industry_id": 806307384,
          "industry_name": "Transportation/Trucking/Railroad"
        },
        {
          "industry_id": 806301855,
          "industry_name": "Motion Pictures & Film"
        }
      ]
    }
  ]
}